OpenAPI-Client-OpenAI/blib/lib/OpenAPI/Client/OpenAI/Path/organization-certificates-activate.pod
=encoding utf8
=head1 NAME
OpenAPI::Client::OpenAI::Path::organization-certificates-activate - Documentation for the /organization/certificates/activate path.
=head1 DESCRIPTION
This document describes the API endpoint at C</organization/certificates/activate>.
=head1 PATHS
=head2 C<POST /organization/certificates/activate>
Activate certificates at the organization level.
You can atomically and idempotently activate up to 10 certificates at a time.
=head3 Operation ID
C<activateOrganizationCertificates>
$client->activateOrganizationCertificates( ... );
=head3 Parameters
=over 4
=back
=head3 Request Body
=head3 Content Type: C<application/json>
Example:
{
"certificate_ids" : [
"cert_abc"
]
}
=head3 Responses
=head4 Status Code: C<200>
Certificates activated successfully.
=head4 Content Types:
=over 4
=item * C<application/json>
Example (See the L<OpenAI spec for more detail|https://github.com/openai/openai-openapi/blob/master/openapi.yaml>):
{
"data" : [
"{\n \"object\": \"certificate\",\n \"id\": \"cert_abc\",\n \"name\": \"My Certificate\",\n \"created_at\": 1234567,\n \"certificate_details\": {\n \"valid_at\": 1234567,\n \"expires_at\": 12345678,\n \"content\": \"-----BEGIN CERTIFICATE----- MIIGAjCCA...6znFlOW+ -----END CERTIFICATE-----\"\n }\n}\n"
],
"first_id" : "cert_abc",
"last_id" : "cert_abc"
}
=back
=head1 SEE ALSO
L<OpenAPI::Client::OpenAI::Path>
=head1 COPYRIGHT AND LICENSE
Copyright (C) 2023-2025 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.14.0 or,
at your option, any later version of Perl 5 you may have available.
=cut